Support » Plugin: Constant Contact for WordPress » Can't install

Viewing 15 replies - 1 through 15 (of 24 total)
  • Plugin Author Zack Katz

    (@katzwebdesign)

    Can you share the exact message you get for the invalid header issue?

    The install goes but it’s when I try to Network Activate, I get this:

    “The plugin does not have a valid header.”

    Plugin Author Zack Katz

    (@katzwebdesign)

    Does it have any other details? Things that look like code?

    Nope. I checked the error page’s source, and there is literally nothing of value related to this issue, just a page with some styles and that error message. I’m a PHP dev so I’d notice anything useful from this page.

    <p>The plugin does not have a valid header.</p>

    Plugin Author Zack Katz

    (@katzwebdesign)

    Please let me know if this still happens with 3.1.9, just released.

    Thank you for your support; I am going to test the new version on a development server this morning. I mean no offense, but I’m wary about installing this on my client’s production server until I test it well (I have backups and everything, but hate downtime with a passion). I’ll let you know what happens.

    You have some class files in your plugin that are busted; They have a space between the opening PHP tag and the opening comment tag. This makes WordPress installs puke. It’s a few of those class.ctct_class_name.php files in the class folder.

    <?php
    **violating empty line**
    /*
     * opening comments
     */

    I removed the space and the plugin appears to have activated. Fix dat shit! 🙂

    FYI – I just got the same “The plugin does not have a valid header.” message after it told me it installed successfully. I downloaded the plugin through my website right from your source (not from any third party site, so it’s your most recent version).

    If you are a developer or even somewhat code savvy, you should be able to use my fix. Just edit every

    whatever_file_name.php

    so that if it has a comment at the top, you make sure it’s seated directly below the opening PHP tag with no space or new line inbetween:

    <?php
    /*
     * no space or new line inbetween!
     */
    Plugin Author Zack Katz

    (@katzwebdesign)

    @jonleecraw – about to release an update. Did updating only the files inside the /classes/ directory fix the issue?

    I checked everything in /classes and everything in the plugin root. I don’t remember which files needed editing; their is only 10 or so that I checked. Pretty sure it was two classes.ctct_whatever_class_name.php that needed the removal of the empty line.

    Plugin Author Zack Katz

    (@katzwebdesign)

    I just released 3.1.10, please let me know if that fixes the issue.

    Hi Zack,
    I just installed 3.1.10 and got the same invalid header message after trying to activate it. I’m running WP 4.2.2.

    Plugin Author Zack Katz

    (@katzwebdesign)

    Damn, I’m not able to reproduce this issue!

    HollyKNY, can you share your error log with me at zack@katz.co ?

    Sure – can you tell me where I can find it? I just read the error on the screen after I tried to activate the plugin.

Viewing 15 replies - 1 through 15 (of 24 total)
  • The topic ‘Can't install’ is closed to new replies.